package com.uas.account.dao;

import com.uas.account.entity.User;
import com.uas.account.entity.UserSpaceDetail;

public interface SynchrodataToOldPlatDao {

	/**
	 * 同步用户
	 * 
	 * @param user
	 * @return
	 */
	public Long SynchUserToOldPlat(User user, String spaceName);

	/**
	 * 同步企业信息
	 * 
	 * @param detail
	 * @return
	 */
	public Long SyschUserSpaceToOldPlat(UserSpaceDetail detail, User user);

	/**
	 * 查询旧平台企业数量
	 * 
	 * @param bussinessCode
	 * @param enuu
	 * @return
	 */
	public Long findEnterpriseByEnuu(String enuu);

	/**
	 * 查询旧平台企业是否有这个人
	 * 
	 * @param useruu
	 * @param enuu
	 * @return
	 */
	public Long findUserByUserUUAndEnuu(String useruu, String enuu);

	/**
	 * 查询对应旧平台的人员的信息
	 * 
	 * @param useruu
	 * @param enuu
	 * @return
	 */
	public String getUserPassword(String useruu, String enuu);
}
